1 (edited by whelpton 2012-10-02 01:43:05)

Topic: python-sqlite2 installer error

Hey, thanks for taking the time to read my post. I'm having a big issue installing on centos5. I seem to hit a roadblock when it comes to installing python scripts, can anyone point me in the right direction?

Using: iRedMail-0.8.2

--> Processing Dependency: perl(ExtUtils::ParseXS) for package: 4:perl-devel-5.10.1-127.el6.x86_64
---> Package python-webpy.noarch 0:0.37-1.el6.rf will be installed
--> Processing Dependency: python-sqlite2 for package: python-webpy-0.37-1.el6.rf.noarch
--> Running transaction check
---> Package perl-ExtUtils-ParseXS.x86_64 1:2.2003.0-127.el6 will be installed
---> Package python-webpy.noarch 0:0.37-1.el6.rf will be installed
--> Processing Dependency: python-sqlite2 for package: python-webpy-0.37-1.el6.rf.noarch
--> Finished Dependency Resolution
Error: Package: python-webpy-0.37-1.el6.rf.noarch (rpmforge)
           Requires: python-sqlite2
You could try using --skip-broken to work around the problem
You could try running: rpm -Va --nofiles --nodigest

Unfortunately running --skip-broken doesnt seem to skip broken.

Cheers smile

2

Re: python-sqlite2 installer error

It's already mentioned in iRedMail installation guide:

For CentOS or Scientific Linux, please enable CentOS/Scientific official yum repositories, and DISABLE all third-party yum repositories to avoid package conflict.

So, please disable yum repo "rpmforge" and other third-party repos before installing iRedMail.